summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-05-26 18:59:21 +0000
committer Eric Hameleers <alien@slackware.com>2023-05-26 21:34:14 +0200
commitce8a8775465331c6fd72f04d16ae33594ae67984 (patch)
treedf2398b03a40ecece57c9f215713eba672415c9b /source
parent8d7ca9b497816ddc34d75fffcdcd4abc78281b16 (diff)
downloadcurrent-ce8a8775465331c6fd72f04d16ae33594ae67984.tar.gz
current-ce8a8775465331c6fd72f04d16ae33594ae67984.tar.xz
Fri May 26 18:59:21 UTC 202320230526185921
d/meson-1.1.1-x86_64-1.txz: Upgraded. x/mesa-23.1.1-x86_64-1.txz: Upgraded. xap/ddd-3.4.0-x86_64-1.txz: Upgraded. xfce/xfce4-screensaver-4.18.1-x86_64-2.txz: Rebuilt. Include autostart file. Thanks to marav.
Diffstat (limited to 'source')
-rwxr-xr-xsource/xap/ddd/ddd.SlackBuild16
-rw-r--r--source/xap/ddd/machine_code_window_fix.diff13
-rw-r--r--source/xap/ddd/strclass.C.diff12
-rwxr-xr-xsource/xfce/xfce4-screensaver/xfce4-screensaver.SlackBuild7
4 files changed, 7 insertions, 41 deletions
diff --git a/source/xap/ddd/ddd.SlackBuild b/source/xap/ddd/ddd.SlackBuild
index 8131ef959..48df65226 100755
--- a/source/xap/ddd/ddd.SlackBuild
+++ b/source/xap/ddd/ddd.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2013, 2014, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2013, 2014, 2018, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,8 +28,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ddd
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-8}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,17 +79,11 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.*z || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# http://savannah.gnu.org/bugs/?26726
-zcat $CWD/strclass.C.diff.gz | patch -p0 --verbose || exit 1
-
-# Fix machine code window with gdb > 7.1:
-zcat $CWD/machine_code_window_fix.diff.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -fpermissive" \
./configure \
@@ -116,7 +110,7 @@ gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* CREDITS NEWS PROBLEMS README TIPS TODO \
+ AUTHORS* COPYING* CREDITS* NEWS* README* TIPS* TODO* \
doc/html/ddd.html \
$PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/xap/ddd/machine_code_window_fix.diff b/source/xap/ddd/machine_code_window_fix.diff
deleted file mode 100644
index f63b43c62..000000000
--- a/source/xap/ddd/machine_code_window_fix.diff
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/ddd/GDBAgent.C b/ddd/GDBAgent.C
-index 7fc1379..87652d2 100644
---- a/ddd/GDBAgent.C
-+++ b/ddd/GDBAgent.C
-@@ -3200,7 +3200,7 @@ string GDBAgent::disassemble_command(string start, const char *end) const
- {
- string end_( end );
- normalize_address(end_);
-- cmd += ' ';
-+ cmd += ',';
- cmd += end_;
- }
- return cmd;
diff --git a/source/xap/ddd/strclass.C.diff b/source/xap/ddd/strclass.C.diff
deleted file mode 100644
index 6f5bbee7a..000000000
--- a/source/xap/ddd/strclass.C.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-Index: ddd/strclass.C
-===================================================================
---- ddd/strclass.C (revision 7209)
-+++ ddd/strclass.C (working copy)
-@@ -38,6 +38,7 @@
- #include <ctype.h>
- #include <limits.h>
- #include <new>
-+#include <cstdio>
- #include <stdlib.h>
-
- void string::error(const char* msg) const
diff --git a/source/xfce/xfce4-screensaver/xfce4-screensaver.SlackBuild b/source/xfce/xfce4-screensaver/xfce4-screensaver.SlackBuild
index 4417b923f..f18a72bda 100755
--- a/source/xfce/xfce4-screensaver/xfce4-screensaver.SlackBuild
+++ b/source/xfce/xfce4-screensaver/xfce4-screensaver.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for xfce4-screensaver
# Copyright 2019 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfce4-screensaver
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -102,10 +103,6 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Don't ship autostart file. This will start without it.
-rm -f $PKG/etc/xdg/autostart/xfce4-screensaver.desktop
-rmdir $PKG/etc/xdg/autostart
-
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true